Bug 59987 - TFTP to MicroSoft TFTP server does not work
TFTP to MicroSoft TFTP server does not work
Product: eCos
Classification: Retired
Component: RedBoot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: eCos bugs internal list
eCos bugs internal list
Depends On:
  Show dependency treegraph
Reported: 2002-02-18 06:06 EST by Alex Schuilenburg
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-12 12:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Schuilenburg 2002-02-18 06:06:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
When attempting to TFTP load from a Microsoft TFTP server, it fails. This is
because the RFC for TFTP specifies that "OCTET" be uppercase but MicroSoft TFTP
requires lowercase.

The workaround is to try first the uppercase "OCTET" then, if that fails, the
lowercase "octet", in RedBoot.

As reported by Douglas Bush of Extreme Engineering in ecos-discuss on  Feb 13, 2002.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start MS TFTP server
2. In RedBoot "load -h -m tftp redboot.srec"
3. Observe error "Can't load 'redboot.srec': operation timed out"

Actual Results:  Can't load 'redboot.srec': operation timed out

Expected Results:  Should have loaded

Additional info:
Comment 1 George Thomas 2002-04-12 07:01:47 EDT
Tested against the TFTPD32 server running on Windows with no problems.

Is there a particular Windows server for which this fails?  If so, which
and how does one obtain it for testing?
Comment 2 Alex Schuilenburg 2002-04-12 12:31:33 EDT
    * From: Jonathan Larmour <jlarmour at redhat dot com>
    * To: Douglas Bush <dbush at extremeeng dot com>
    * Cc: 'eCos Discussion List' <ecos-discuss at sources dot redhat dot com>
    * Date: Thu, 14 Feb 2002 18:51:44 +0000
    * Subject: Re: [ECOS] Problem TFTPing from redboot
    * Organization: Red Hat UK Ltd.
    * References: <

Douglas Bush wrote:
> > I did a couple of captures (hex ascii at bottom of files) with a running
> TFTP server, one from an OpenBSD TFTP client, and one from Redboot.
> Both were accessing Windows TFTPD32 for download.
> > What I noticed was that the Redboot requests OCTET transfers, and adds
> another 500 bytes or so of 0's to the end of the transfer.
> > Perhaps that's why windows TFTP servers don't work well with redboot...

It looks like there was a fix for this problem around 11th June last year
in CVS. Do your redboot sources predate that? If so, update! (Of course
maybe that's what you are trying to do ;-), in which case as Jesper says
something like ymodem over serial is a good intermediate workaround).

Comment 3 Alex Schuilenburg 2002-04-12 12:34:43 EDT

Did you get a private response from dbush@extremeeng.com to this issue?  

I assume we can close?

-- Alex
Comment 4 Jonathan Larmour 2002-04-12 13:47:58 EDT
I didn't get any response. I'm closing it (it isn't a "real" customer).

Note You need to log in before you can comment on or make changes to this bug.